commit:     6262e565b291b4d4bfdacf86d40cc49714906d86
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 31 02:50:42 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Aug 31 02:54:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6262e565

sys-apps/keyutils: bump to v1.5.11

Package-Manager: Portage-2.3.48, Repoman-2.3.10

 sys-apps/keyutils/Manifest                         |   1 +
 .../files/keyutils-1.5.10-endian-check-1.patch     |  20 +++++
 sys-apps/keyutils/keyutils-1.5.11.ebuild           | 100 +++++++++++++++++++++
 3 files changed, 121 insertions(+)

diff --git a/sys-apps/keyutils/Manifest b/sys-apps/keyutils/Manifest
index 6142fc4ba25..3892769c71a 100644
--- a/sys-apps/keyutils/Manifest
+++ b/sys-apps/keyutils/Manifest
@@ -1,2 +1,3 @@
 DIST keyutils-1.5.10.tar.bz2 74190 BLAKE2B 
8eeab02ef363b785152ac4576f1ce9792711f482e27c3ba71d906624ecc88ef4ce2ee909d7bc3a35b42b50e971c0bd0600cfdefa9a3db35b25553bfcbe7d2d13
 SHA512 
7f6f956c7e76cdc2aeb52e74fe670b20a5f9a5d9b543fd2ce971d80c48745f37d05235a42f0a8f152b1128a109c7d8bf07e751282a20d2d3f433a99a5308ae8d
+DIST keyutils-1.5.11.tar.bz2 87644 BLAKE2B 
1a601b7036bcfe69b6272ae2b4fad44cbb22877aa94722fa26460f8addf105ff8898e851ad7c4f28bc755f7fe293c74bc70cffbe877978e462bc21c428c9a11d
 SHA512 
5f0dc5d5ceb673cf0ba71d3a0b525d09adc8d501a795372aa3dc29215ef393cb8577c72051cecabdb9a46dca4fcaa11e629291fb857290872475a7e445f47d43
 DIST keyutils-1.5.9.tar.bz2 74683 BLAKE2B 
8d5133dcc4c1f40e634fcd6584f3e2e56a0fd4ff25ded41c5f94ef3193ef7240ff4a24ef1c5beba6ba835195605a77126bf77aace35a1b4acf025160a2082dcb
 SHA512 
d4ee1dabb87844e18bfd8d094a5bc9ce792c96720b71e77961b6c36bb1addb9acea2a7004ddfba1d09b167af908368162312e5c3656b22a6266955bb57b887e2

diff --git a/sys-apps/keyutils/files/keyutils-1.5.10-endian-check-1.patch 
b/sys-apps/keyutils/files/keyutils-1.5.10-endian-check-1.patch
new file mode 100644
index 00000000000..99cf23fbb21
--- /dev/null
+++ b/sys-apps/keyutils/files/keyutils-1.5.10-endian-check-1.patch
@@ -0,0 +1,20 @@
+fix regexp match against `file /proc/$$/exe` for -fPIE bash
+Now that bash is built with PIE enabled, keyutils' check for endianness
+fails because file no longer returns "executable", but instead returns
+"shared object" for file << 5.33 and "pie executable" for file >= 5.33.
+
+--- a/tests/toolbox.inc.sh
++++ b/tests/toolbox.inc.sh
+@@ -13,10 +13,10 @@
+ echo === $OUTPUTFILE ===
+ 
+ endian=`file -L /proc/$$/exe`
+-if expr "$endian" : '.* MSB \+\(executable\|shared object).*' >&/dev/null
++if expr "$endian" : '.* MSB \+\(executable\|shared object\|pie 
executable\).*' >&/dev/null
+ then
+     endian=BE
+-elif expr "$endian" : '.* LSB \+\(executable\|shared object\).*' >&/dev/null
++elif expr "$endian" : '.* LSB \+\(executable\|shared object\|pie 
executable\).*' >&/dev/null
+ then
+     endian=LE
+ else

diff --git a/sys-apps/keyutils/keyutils-1.5.11.ebuild 
b/sys-apps/keyutils/keyutils-1.5.11.ebuild
new file mode 100644
index 00000000000..4d30cfbe2eb
--- /dev/null
+++ b/sys-apps/keyutils/keyutils-1.5.11.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit multilib toolchain-funcs linux-info multilib-minimal
+
+DESCRIPTION="Linux Key Management Utilities"
+HOMEPAGE="https://people.redhat.com/dhowells/keyutils/";
+SRC_URI="https://people.redhat.com/dhowells/${PN}/${P}.tar.bz2";
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static static-libs test"
+
+RDEPEND=""
+DEPEND="!prefix? ( >=sys-kernel/linux-headers-2.6.11 )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.10-endian-check-1.patch
+       "${FILESDIR}"/${PN}-1.5.10-makefile-fixup.patch
+       "${FILESDIR}"/${PN}-1.5.10-disable-tests.patch #519062 #522050
+       "${FILESDIR}"/${PN}-1.5.9-header-extern-c.patch
+)
+
+pkg_setup() {
+       CONFIG_CHECK="~KEYS"
+       ERROR_KEYS="You must have CONFIG_KEYS to use this package!"
+
+       if use test && kernel_is lt 4 0 0; then
+               CONFIG_CHECK="${CONFIG_CHECK} ~KEYS_DEBUG_PROC_KEYS"
+               ERROR_KEYS_DEBUG_PROC_KEYS="You must have 
CONFIG_KEYS_DEBUG_PROC_KEYS to run the package testsuite!"
+       fi
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # The lsb check is useless, so avoid spurious command not found 
messages.
+       sed -i -e 's,lsb_release,:,' tests/prepare.inc.sh || die
+       # All the test files are bash, but try to execute via `sh`.
+       sed -i -r \
+               -e 's:([[:space:]])sh([[:space:]]):\1bash\2:' \
+               tests/{Makefile*,*.sh} || die
+       find tests/ -name '*.sh' -exec sed -i '1s:/sh$:/bash:' {} +
+       # Some tests call the kernel which calls userspace, but that will
+       # run the install keyutils rather than the locally compiled one,
+       # so disable round trip tests.
+       rm -rf tests/keyctl/requesting/{bad-args,piped,valid}
+
+       multilib_copy_sources
+}
+
+multilib_src_compile() {
+       tc-export AR CC
+       sed -i \
+               -e "1iRPATH = $(usex static -static '')" \
+               -e '/^C.*FLAGS/s|:=|+=|' \
+               -e 's:-Werror::' \
+               -e '/^BUILDFOR/s:=.*:=:' \
+               -e "/^LIBDIR/s:=.*:= /usr/$(get_libdir):" \
+               -e '/^USRLIBDIR/s:=.*:=$(LIBDIR):' \
+               -e "s: /: ${EPREFIX}/:g" \
+               -e '/^NO_ARLIB/d' \
+               Makefile || die
+
+       # We need the static lib in order to statically link programs.
+       if use static ; then
+               export NO_ARLIB=0
+               # Hack the progs to depend on the static lib instead.
+               sed -i \
+                       -e '/^.*:.*[$](DEVELLIB)$/s:$(DEVELLIB):$(ARLIB) 
$(SONAME):' \
+                       Makefile || die
+       else
+               export NO_ARLIB=$(usex static-libs 0 1)
+       fi
+       emake
+}
+
+multilib_src_test() {
+       # Execute the locally compiled code rather than the
+       # older versions already installed in the system.
+       LD_LIBRARY_PATH=${BUILD_DIR} \
+       PATH="${BUILD_DIR}:${PATH}" \
+       emake test
+}
+
+multilib_src_install() {
+       # Possibly undo the setting for USE=static (see src_compile).
+       export NO_ARLIB=$(usex static-libs 0 1)
+
+       default
+       use static || gen_usr_ldscript -a keyutils
+}
+
+multilib_src_install_all() {
+       dodoc README
+}

Reply via email to